Bug 215300 - Apple Infrared (appleir) driver
Apple Infrared (appleir) driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-13 06:17 EST by Gen Zhang
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 23:47:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
driver for the apple infrared remote (8.63 KB, text/x-csrc)
2006-11-13 06:17 EST, Gen Zhang
no flags Details

  None (edit)
Description Gen Zhang 2006-11-13 06:17:00 EST
On modern MacIntels, there is usually an infrared device. It is a USB HID
device, and appears to be very simple to drive. I've attached a driver (as a
kernel module) that I've found on the 'net (it's GPL); I've altered it slightly
to make it compile with the newer kernels. Currently, it's got a couple of
issues. One, the IR device is stolen by the main HID driver before appleir gets
a chance to see it; I presume there's a list somewhere in the main HID driver
that stops it from doing this. Two, it reports continuously holding the button
as repeating keypresses, which is not as ideal as the Apple hold-for-2-seconds
distinction.

I understand if this is not really a target for inclusion into the FC kernel
(one more patch), but I'm not nearly skilled enough with USB driver development
and kernel development to fix the issues and get it upstream, and it would be a
shame to just lose this on my harddrive somewhere.
Comment 1 Gen Zhang 2006-11-13 06:17:00 EST
Created attachment 141038 [details]
driver for the apple infrared remote
Comment 2 Jarod Wilson 2006-11-13 13:28:22 EST
This is something that needs to go upstream. However, I'm not sure what the
ideal upstream location is. Could be in the upstream kernel, but at the moment,
seems more fitting to include as part of <a href="http://www.lirc.org/">lirc</a>
(though I'd really like to see the lirc kernel module bits get in the upstream
kernel too...).
Comment 3 Jarod Wilson 2006-11-13 13:30:42 EST
Okay, so comment #2 answers my question as to what bugzilla does if I try to
embed html... :)
Comment 4 Gen Zhang 2006-12-10 15:43:59 EST
The attached code does not need LIRC. The device functions as a USB HID, and
acts more or less as a keyboard: pressing the buttons will give keyboard events,
such that they may be assigned as shortcut keys to things. Upstream, in this
case, should be the kernel -- however, I have no idea how to get the kernel
people to accept such a patch; I was hoping that our kernel maintainers might
have more of a clue.

I've found that the macintel people maintain some patches which supposedly patch
cleanly against the 2.6.18 and 2.6.19 kernels.
Comment 5 Jon Stanley 2008-01-07 20:51:09 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 Jarod Wilson 2008-01-07 23:47:25 EST
Apple infrared device support is in the latest upstream kernels and has already
made its way into Fedora.

Note You need to log in before you can comment on or make changes to this bug.